using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using Syncfusion.Windows.Forms.Grid;

namespace ImageAndButton
{
	/// <summary>
	/// Summary description for ImageAndButtonCell.
	/// </summary>
	public class ImageAndButtonCellModel : GridTextBoxCellModel
	{
		public ImageAndButtonCellModel(GridModel grid)
			: base(grid)
		{
			
			for(int i = 1; i <= grid.Model.RowCount-1; ++i)
			{
				for(int j = 1; j <=  grid.Model.Model.ColCount; ++j)
				{
					if(j==grid.Model.ColCount)
					{

						GridStyleInfo style = grid[i,j];

						this.ButtonBarSize = new Size(80, 20);
						style.TextAlign = GridTextAlign.Default;
						style.VerticalAlignment = GridVerticalAlignment.Bottom;
						style.HorizontalAlignment = GridHorizontalAlignment.Right;
						style.WrapText  = false;
						style.Text.ToUpper();
						
						

						
					}
				}
			}
		}

		public override GridCellRendererBase CreateRenderer(GridControlBase control)
		{
			return new ImageAndButtonCellRenderer(control, this);
		}
	}

	public class ImageAndButtonCellRenderer : GridImageCellRenderer
	{
		public GridCellButton button1;
		public GridCellButton button2;
		public ImageAndButtonCellRenderer(GridControlBase grid, GridCellModelBase cellModel)
			: base(grid, cellModel)
		{
			 
			button1= new GridCellButton(this);
			button2=new GridCellButton(this);
			button1.Text = "Add";
			button2.Text = "Del";
			this.AddButton(button1); 
			this.AddButton(button2);
		}
	}


	public class ImageAndButtonCellModel1 : GridImageCellModel
	{
		public ImageAndButtonCellModel1(GridModel grid)
			: base(grid)
		{
			this.ButtonBarSize = new Size(14, 20);
		}

		public override GridCellRendererBase CreateRenderer(GridControlBase control)
		{
			return new ImageAndButtonCellRenderer1(control, this);
		}
	}

	public class ImageAndButtonCellRenderer1 : GridImageCellRenderer
	{

		public ImageAndButtonCellRenderer1(GridControlBase grid, GridCellModelBase cellModel)
			: base(grid, cellModel)
		{
			this.AddButton(new GridCellComboBoxButton(this));
		
		}
	}
}
